/**
  * 房
*/
import { getRequest, getRequestNoSort } from '@/utils/request'

export default {
  admschoolsortedit: params => { // 学校排序接口
    return getRequestNoSort('/adm/school/sort/edit', params, 'loading')
  },
  admschoollist: params => { // 学校列表接口
    return getRequest('/adm/school/list', params)
  },
  admschooladd: params => { // 学校添加
    return getRequestNoSort('/adm/school/add', params, 'loading')
  },
  admschooledit: params => { // 学校编辑
    return getRequestNoSort('/adm/school/edit', params, 'loading')
  },
  admschooldetail: params => { // 学校详情
    return getRequestNoSort('/adm/school/detail', params, 'loading')
  },
  admschooldel: params => { // 学校删除
    return getRequestNoSort('/adm/school/del', params, 'loading')
  },
  admschoolmodulelist: params => { // 学校分类 - 列表
    return getRequest('/adm/school/module/list', params)
  },
  admschoolmoduleadd: params => { // 学校分类 - 添加
    return getRequestNoSort('/adm/school/module/add', params, 'loading')
  },
  admschoolmoduleedit: params => { // 学校分类 - 编辑
    return getRequestNoSort('/adm/school/module/edit', params, 'loading')
  },
  admschoolmoduledetail: params => { // 学校分类 - 详情
    return getRequestNoSort('/adm/school/module/detail', params, 'loading')
  },
  admschoolmoduledel: params => { // 学校分类 - 删除
    return getRequestNoSort('/adm/school/module/del', params, 'loading')
  },
}
